org.springframework.cloud.dataflow.rest.job.support

## Enum StepType

- java.lang.Object
- - java.lang.Enum<StepType>
  - - org.springframework.cloud.dataflow.rest.job.support.StepType

- All Implemented Interfaces:
    Serializable, Comparable<StepType>

      public enum StepType
      extends Enum<StepType>

  The types of Spring Batch `Step` implementations that are known to the system.
  Since:
    1.0
  Author:
    Michael Minella

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLOW_STEP` `FlowStep`
    `JOB_STEP` `JobStep`
    `PARTITION_STEP` `PartitionStep`
    `TASKLET_STEP` `TaskletStep`
    `UNKNOWN` Used when the type of step is unknown to the system.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StepType` | `fromClassName(String className)`
    `String` | `getClassName()`
    `String` | `getDisplayName()`
    `static StepType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StepType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TASKLET_STEP

          public static final StepType TASKLET_STEP

      `TaskletStep`

    - #### FLOW_STEP

          public static final StepType FLOW_STEP

      `FlowStep`

    - #### JOB_STEP

          public static final StepType JOB_STEP

      `JobStep`

    - #### PARTITION_STEP

          public static final StepType PARTITION_STEP

      `PartitionStep`

    - #### UNKNOWN

          public static final StepType UNKNOWN

      Used when the type of step is unknown to the system.

  - ### Method Detail

    - #### values

          public static StepType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StepType c : StepType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StepType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromClassName

          public static StepType fromClassName(String className)

      Parameters:
        `className` - the fully qualified name of the `Step` implementation
      Returns:
        the type if known, otherwise `UNKNOWN`

    - #### getClassName

          public String getClassName()

      Returns:
        the name of the class the current value represents

    - #### getDisplayName

          public String getDisplayName()

      Returns:
        the value to display in the UI or return via the REST API

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.